intel_gpu_dump(1)

NAME
intel_gpu_dump - Print out debugging information on the state of the Intel GPU.

SYNOPSIS
intel_gpu_dump
intel_gpu_dump [ filename ]

DESCRIPTION
intel_gpu_dump is a tool to log the current state of an Intel GPU when it is hung, for later analysis. It requires kernel 2.6.30rc1 or newer, debugfs mounted on /sys/kernel/debug or /debug, and root privilege for mapping the device to inspect it.

  Options

filename
    Decodes just one batchbuffer or ringbuffer dump, rather than dumping all of the GPU state.